
#ifndef		_SMTP_H
#define		_SMTP_H

#define     DEF_HOLDON		"holdon"
#define     DEF_DELETE		"delete"
#define     DEF_BACKUP		"backup"


#define     S_COMMON        0
#define     S_FROM          1
#define     S_TO            2
#define     S_BCC           3
#define     S_STATUS        4
 
#define		SMTP_NORMAL		0
#define		SMTP_NOPIPE		1		/* no pipe, reserve signature */
#define		SMTP_PURE		2		/* no pipe, no signature */

#define		SMTP_DELETE		3		
#define		SMTP_HOLDON		4		
#define		SMTP_BACKUP		5		


#define     SMTP_PORT       25
#define		EXTRAHEADER		64


#define     TMPFILE     "/usr/tmp/pmailXXXXXX"
#define		PIPETMP		"/usr/tmp/pipeXXXXXX"


struct		_CopyTo 	{
	char	*host;
	struct	_CopyTo 	*next;
};

typedef		struct	_CopyTo		COPYTO;

struct		_SendTo	{
	
	int 	id;
	char	*from;
	COPYTO	*to;
	int		mailLen;
	int		mailSeek;
	int 	status;
	
	int 	origBoxSeek;

	struct	_SendTo	*next;
};

typedef		struct	_SendTo		SENDTO;



#define ismailfrom(buf)     (strnicmp((buf), "From:", 5) == 0)
#define ismailto(buf)       (strnicmp((buf), "To:", 3) == 0)
#define ismailcc(buf)       (strnicmp((buf), "Cc:", 3) == 0)
#define ismailbcc(buf)      (strnicmp((buf), "Bcc:", 4) == 0)
#define ismailstatus(buf)   (strnicmp((buf), "Status:", 7) == 0)


int  smtpMain();

void smtpEnforced();
void smtpSetSubject(char *s);
void smtpSetCc(char *s);
void smtpSetBcc(char *s);
void smtpSetHost(char *s);
void smtpSetOutbox(char *s);
void smtpSetBackupbox(char *s);
void smtpSetPipeto(char *s);
void smtpSetSender(char *s);
void smtpSetDowithSent(char *s);
void smtpSetSignature(char *s);
void resetAppendixHeader();
char *getAppendixHeader();
void smtpSetExtraHeader(char *s);
void smtpRelease();

char *smtpGetSubject();
char *smtpGetCc();
char *smtpGetBcc();
char *smtpGetSender();
char *smtpGetPipeto();
char *smtpGetSignature();
char *smtpGetBackupbox();
char *smtpGetOutbox();
int  smtpGetDowithSent();
void smtpSetToaddr(int cnt, char **list);
char **smtpGetToaddr(int *cnt);


/* see folder.c */

int openFolder(char *mbox, int *num);
int createFolderFromCon();
void closeFolder();
SENDTO *setActiveMail(int num);
char *getMail(char *buf, int len);
void setMailStatus(int num, int status);
	


#ifdef	DEBUG
void smtpVarietyExposure();
void folderVarietyExposure();
#endif


#endif
